name: uWaterloo WCMS Gesso Theme
type: theme
description: 'Sass-based starter theme.'
package: Core
core: 8.x
base theme: stable

libraries:
  - gesso/global

libraries-override:
  core/drupal.dropbutton:
    js:
      misc/dropbutton/dropbutton.js: gesso/js/overrides/dropbutton.js
    css:
      component:
        /core/themes/stable/css/core/dropbutton/dropbutton.css: false
  core/drupal.collapse:
    js:
      misc/collapse.js: gesso/js/overrides/collapse.js
  core/modernizr:
    js:
      assets/vendor/modernizr/modernizr.min.js: gesso/js/lib/modernizr.min.js
  system/base:
    css:
      component:
        /core/themes/stable/css/system/components/align.module.css: false
        /core/themes/stable/css/system/components/clearfix.module.css: false
        /core/themes/stable/css/system/components/container-inline.module.css: false
        /core/themes/stable/css/system/components/details.module.css: false
        /core/themes/stable/css/system/components/fieldgroup.module.css: false
        /core/themes/stable/css/system/components/hidden.module.css: false
        /core/themes/stable/css/system/components/item-list.module.css: false
        /core/themes/stable/css/system/components/nowrap.module.css: false
        /core/themes/stable/css/system/components/position-container.module.css: false
        /core/themes/stable/css/system/components/progress.module.css: false
        /core/themes/stable/css/system/components/reset-appearance.module.css: false
        /core/themes/stable/css/system/components/resize.module.css: false

ckeditor_stylesheets:
  - https://fonts.googleapis.com/css?family=Lora:400,700|Open+Sans:300,400,600,700
  - css/styles.css

regions:
  page_top: 'Page top'
  header: Header
  navigation: Navigation
  breadcrumb: Breadcrumb
  help: Help
  highlighted: Highlighted
  preface: Preface
  content: Content
  postscript: Postscript
  footer: Footer
  disabled: Disabled
  page_bottom: 'Page bottom'

component-libraries:
  base:
    paths:
      - source/_patterns/01-base
  layouts:
    paths:
      - source/_patterns/02-layouts
  components:
    paths:
      - source/_patterns/03-components
  templates:
    paths:
      - source/_patterns/04-templates
  pages:
    paths:
      - source/_patterns/05-pages
